Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
响应载荷
results
array of object
必填
List of roles.
显示子属性
results.accessKeysDependencyCount
integer
必填
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
显示子属性
results.actions.name
string
必填
The name of the action.
results.actions.type
string
必填
The type that the action belongs to.
results.createdAt
string
必填
When this role was created.
results.description
string
Role description.
results.id
string
必填
ID of the role.
results.metadata
object
Metadata for the IAM Role.
显示子属性
results.metadata.clouds
array of string
results.name
string
必填
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
必填
IAM Policies this role contains.
显示子属性
The IAM policy record.
results.policies.createdAt
string
必填
When the IAM Policy was created.
results.policies.definitions
array of object
必填
List of IAM Policy definitions.
显示子属性
results.policies.definitions.actions
array of string
必填
A list of actions
results.policies.definitions.conditionsAll
array of object
显示子属性
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
必填
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
必填
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
必填
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
显示子属性
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
必填
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
必填
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
必填
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
必填
ID of the IAM Policy.
results.policies.type
string
必填
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
必填
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
必填
When this role was last updated.
results.usersDependencyCount
integer
必填
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
请求载荷
name
string
必填
Role name.
description
string
Role description.
policies
array of object
必填
IAM Policies this role contains.
显示子参数
policies.id
string
必填
ID of the IAM Policy.
policies.type
string
必填
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
响应载荷
accessKeysDependencyCount
integer
必填
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
显示子属性
actions.name
string
必填
The name of the action.
actions.type
string
必填
The type that the action belongs to.
createdAt
string
必填
When this role was created.
description
string
Role description.
id
string
必填
ID of the role.
metadata
object
Metadata for the IAM Role.
显示子属性
metadata.clouds
array of string
name
string
必填
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
必填
IAM Policies this role contains.
显示子属性
The IAM policy record.
policies.createdAt
string
必填
When the IAM Policy was created.
policies.definitions
array of object
必填
List of IAM Policy definitions.
显示子属性
policies.definitions.actions
array of string
必填
A list of actions
policies.definitions.conditionsAll
array of object
显示子属性
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
必填
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
必填
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
必填
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
显示子属性
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
必填
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
必填
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
必填
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
必填
ID of the IAM Policy.
policies.type
string
必填
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
必填
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
必填
When this role was last updated.
usersDependencyCount
integer
必填
The number of users this role is assigned to.
代码示例
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
响应载荷
accessKeysDependencyCount
integer
必填
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
显示子属性
actions.name
string
必填
The name of the action.
actions.type
string
必填
The type that the action belongs to.
createdAt
string
必填
When this role was created.
description
string
Role description.
id
string
必填
ID of the role.
metadata
object
Metadata for the IAM Role.
显示子属性
metadata.clouds
array of string
name
string
必填
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
必填
IAM Policies this role contains.
显示子属性
The IAM policy record.
policies.createdAt
string
必填
When the IAM Policy was created.
policies.definitions
array of object
必填
List of IAM Policy definitions.
显示子属性
policies.definitions.actions
array of string
必填
A list of actions
policies.definitions.conditionsAll
array of object
显示子属性
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
必填
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
必填
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
必填
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
显示子属性
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
必填
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
必填
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
必填
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
必填
ID of the IAM Policy.
policies.type
string
必填
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
必填
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
必填
When this role was last updated.
usersDependencyCount
integer
必填
The number of users this role is assigned to.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
请求载荷
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
显示子参数
policies.id
string
必填
ID of the IAM Policy.
policies.type
string
必填
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
显示子参数
actions.name
string
必填
The name of the action.
actions.type
string
必填
The type that the action belongs to.
响应载荷
accessKeysDependencyCount
integer
必填
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
显示子属性
actions.name
string
必填
The name of the action.
actions.type
string
必填
The type that the action belongs to.
createdAt
string
必填
When this role was created.
description
string
Role description.
id
string
必填
ID of the role.
metadata
object
Metadata for the IAM Role.
显示子属性
metadata.clouds
array of string
name
string
必填
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
必填
IAM Policies this role contains.
显示子属性
The IAM policy record.
policies.createdAt
string
必填
When the IAM Policy was created.
policies.definitions
array of object
必填
List of IAM Policy definitions.
显示子属性
policies.definitions.actions
array of string
必填
A list of actions
policies.definitions.conditionsAll
array of object
显示子属性
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
必填
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
必填
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
必填
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
显示子属性
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
必填
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
必填
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
必填
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
必填
ID of the IAM Policy.
policies.type
string
必填
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
必填
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
必填
When this role was last updated.
usersDependencyCount
integer
必填
The number of users this role is assigned to.
代码示例
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'